> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/using-the-graphql-api/mutations/approvalrulecreate.md).

# approvalRuleCreate

Create an approval rule

**Scope required:** security:write

For a complete list of input attributes see the [ApprovalRuleAttributes](/developer/api-reference/types/approvalruleattributes.md) type

```graphql
mutation approvalRuleCreate ($attributes: ApprovalRuleAttributes!) {
  approvalRuleCreate (attributes: $attributes) {
      approvalRule {
        active
        anyDiscount
        anyDiscountEnabled
        approverId
        billingPeriodEnabled
        fromDate
        id
        isRampEnabled
        name
        netPaymentDays
        netPaymentDaysEnabled
        overallQuoteDiscount
        overallQuoteDiscountEnabled
        planId
        planIdEnabled
        productId
        productIdEnabled
        requireUnanimousApproval
        toDate
        totalQuoteAmount
        totalQuoteAmountEnabled
        warrenId
      }
      errors
  }
}
```

## Arguments

```json
{
  "attributes": {
    "name": "",
    "active": true,
    "fromDate": "2022-06-01",
    "toDate": "2022-06-01",
    "approverIds": [
      "456123"
    ],
    "approverId": "456123",
    "requireUnanimousApproval": true,
    "totalQuoteAmount": 123,
    "totalQuoteAmountEnabled": true,
    "netPaymentDays": 123,
    "netPaymentDaysEnabled": true,
    "overallQuoteDiscount": 123,
    "overallQuoteDiscountEnabled": true,
    "anyDiscountEnabled": true,
    "anyDiscount": 123,
    "productIdEnabled": true,
    "productId": "456123",
    "planIdEnabled": true,
    "planId": "456123",
    "billingPeriodEnabled": true,
    "billingPeriod": "BillingPeriod",
    "isRampEnabled": true
  }
}
```

| Name       | Type                                                                               | Description |
| ---------- | ---------------------------------------------------------------------------------- | ----------- |
| attributes | [ApprovalRuleAttributes](/developer/api-reference/types/approvalruleattributes.md) |             |

## Response

| Name         | Type                                                           | Description |
| ------------ | -------------------------------------------------------------- | ----------- |
| approvalRule | [ApprovalRule](/developer/api-reference/types/approvalrule.md) |             |
| errors       | List (String)                                                  |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/approvalrulecreate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
